OnlyFans API
OnlyFansSmart Links

Send Smart Link Pixel Test Event

Send a one-off test event using a connected pixel

POST
/api/smart-links/{smart_link_id}/pixels/{pixel_id}/test-event
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

smart_link_id*string

The Smart Link ULID

pixel_id*integer

The pixel ID

Request Body

application/json

test_event_code?string|null

One-off Meta or TikTok test event code. Snapchat does not use this value. Must not be greater than 100 characters.

event_type*string

Smart Link event to simulate. CreatorTraffic does not support test events.

Value in"event_click" | "event_new_subscriber_free" | "event_new_subscriber_paid" | "event_first_transaction" | "event_new_transaction" | "event_message_received_from_fan" | "event_fan_sent_1_message" | "event_fan_sent_3_messages"

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/smart-links/01JTESTLINK000000000000001/pixels/123/test-event" \  -H "Content-Type: application/json" \  -d '{    "event_type": "event_click"  }'
{
  "data": {
    "accepted": true,
    "event_name": "Subscribe",
    "status": 200,
    "body": {
      "events_received": 1
    }
  },
  "_meta": {
    "_credits": {
      "used": 0,
      "balance": 999999,
      "note": "Free endpoint"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    }
  }
}